diff --git a/ldap/schema/slapd-collations.conf b/ldap/schema/slapd-collations.conf
index d5c7e2d..55fe893 100644
--- a/ldap/schema/slapd-collations.conf
+++ b/ldap/schema/slapd-collations.conf
@@ -44,43 +44,43 @@
 
 collation "" "" "" 1 3	2.16.840.1.113730.3.3.2.0.1	default
 collation ar "" "" 1 3	2.16.840.1.113730.3.3.2.1.1	ar
-collation be "" "" 1 3	2.16.840.1.113730.3.3.2.2.1	be
-collation bg "" "" 1 3	2.16.840.1.113730.3.3.2.3.1	bg
-collation ca "" "" 1 3	2.16.840.1.113730.3.3.2.4.1	ca
-collation cs "" "" 1 3	2.16.840.1.113730.3.3.2.5.1	cs
-collation da "" "" 1 3	2.16.840.1.113730.3.3.2.6.1	da
-collation de "" "" 1 3	2.16.840.1.113730.3.3.2.7.1	de
+collation be "" "" 1 3	2.16.840.1.113730.3.3.2.2.1	be	be-BY
+collation bg "" "" 1 3	2.16.840.1.113730.3.3.2.3.1	bg	bg-BG
+collation ca "" "" 1 3	2.16.840.1.113730.3.3.2.4.1	ca	ca-ES
+collation cs "" "" 1 3	2.16.840.1.113730.3.3.2.5.1	cs	cs-CZ
+collation da "" "" 1 3	2.16.840.1.113730.3.3.2.6.1	da	da-DK
+collation de "" "" 1 3	2.16.840.1.113730.3.3.2.7.1	de	de-DE
 collation de AT "" 1 3	2.16.840.1.113730.3.3.2.8.1	de-AT
 collation de CH "" 1 3	2.16.840.1.113730.3.3.2.9.1	de-CH
 collation el "" "" 1 3	2.16.840.1.113730.3.3.2.10.1	el
-collation en "" "" 1 3	2.16.840.1.113730.3.3.2.11.1	en	en-US
+collation en "" "" 1 3	2.16.840.1.113730.3.3.2.11.1	en
 collation en CA "" 1 3	2.16.840.1.113730.3.3.2.12.1	en-CA
 collation en GB "" 1 3	2.16.840.1.113730.3.3.2.13.1	en-GB
 collation en IE "" 1 3	2.16.840.1.113730.3.3.2.14.1	en-IE
 collation es "" "" 1 3	2.16.840.1.113730.3.3.2.15.1	es	es-ES
-collation et "" "" 1 3	2.16.840.1.113730.3.3.2.16.1	et
-collation fi "" "" 1 3	2.16.840.1.113730.3.3.2.17.1	fi
+collation et "" "" 1 3	2.16.840.1.113730.3.3.2.16.1	et	et-EE
+collation fi "" "" 1 3	2.16.840.1.113730.3.3.2.17.1	fi	fi-FI
 collation fr "" "" 1 3	2.16.840.1.113730.3.3.2.18.1	fr	fr-FR
 collation fr BE "" 1 3	2.16.840.1.113730.3.3.2.19.1	fr-BE
 collation fr CA "" 1 3	2.16.840.1.113730.3.3.2.20.1	fr-CA
 collation fr CH "" 1 3	2.16.840.1.113730.3.3.2.21.1	fr-CH
-collation hr "" "" 1 3	2.16.840.1.113730.3.3.2.22.1	hr
-collation hu "" "" 1 3	2.16.840.1.113730.3.3.2.23.1	hu
-collation is "" "" 1 3	2.16.840.1.113730.3.3.2.24.1	is
+collation hr "" "" 1 3	2.16.840.1.113730.3.3.2.22.1	hr	hr-HR
+collation hu "" "" 1 3	2.16.840.1.113730.3.3.2.23.1	hu	hu-HU
+collation is "" "" 1 3	2.16.840.1.113730.3.3.2.24.1	is	is-IS
 collation it "" "" 1 3	2.16.840.1.113730.3.3.2.25.1	it
 collation it CH "" 1 3	2.16.840.1.113730.3.3.2.26.1	it-CH
 collation iw "" "" 1 3	2.16.840.1.113730.3.3.2.27.1	iw
-collation ja "" "" 1 3	2.16.840.1.113730.3.3.2.28.1	ja
-collation ko "" "" 1 3	2.16.840.1.113730.3.3.2.29.1	ko
-collation lt "" "" 1 3	2.16.840.1.113730.3.3.2.30.1	lt
-collation lv "" "" 1 3	2.16.840.1.113730.3.3.2.31.1	lv
-collation mk "" "" 1 3	2.16.840.1.113730.3.3.2.32.1	mk
+collation ja "" "" 1 3	2.16.840.1.113730.3.3.2.28.1	ja	ja-JP
+collation ko "" "" 1 3	2.16.840.1.113730.3.3.2.29.1	ko	ko-KR
+collation lt "" "" 1 3	2.16.840.1.113730.3.3.2.30.1	lt	lt-LT
+collation lv "" "" 1 3	2.16.840.1.113730.3.3.2.31.1	lv	lv-LV
+collation mk "" "" 1 3	2.16.840.1.113730.3.3.2.32.1	mk	mk-MK
 collation nl "" "" 1 3	2.16.840.1.113730.3.3.2.33.1	nl
 collation nl BE "" 1 3	2.16.840.1.113730.3.3.2.34.1	nl-BE
 collation no "" "" 1 3	2.16.840.1.113730.3.3.2.35.1	no
 collation no NO B  1 3	2.16.840.1.113730.3.3.2.36.1	no-NO-B
 collation no NO NY 1 3	2.16.840.1.113730.3.3.2.37.1	no-NO-NY
-collation pl "" "" 1 3	2.16.840.1.113730.3.3.2.38.1	pl
+collation pl "" "" 1 3	2.16.840.1.113730.3.3.2.38.1	pl	pl-PL
 collation ro "" "" 1 3	2.16.840.1.113730.3.3.2.39.1	ro
 collation ru "" "" 1 3	2.16.840.1.113730.3.3.2.40.1	ru
 collation sh "" "" 1 3	2.16.840.1.113730.3.3.2.41.1	sh
@@ -89,10 +89,204 @@ collation sl "" "" 1 3	2.16.840.1.113730.3.3.2.43.1	sl
 collation sq "" "" 1 3	2.16.840.1.113730.3.3.2.44.1	sq
 collation sr "" "" 1 3	2.16.840.1.113730.3.3.2.45.1	sr
 collation sv "" "" 1 3	2.16.840.1.113730.3.3.2.46.1	sv
-collation tr "" "" 1 3	2.16.840.1.113730.3.3.2.47.1	tr
-collation uk "" "" 1 3	2.16.840.1.113730.3.3.2.48.1	uk
+collation tr "" "" 1 3	2.16.840.1.113730.3.3.2.47.1	tr	tr-TR
+collation uk "" "" 1 3	2.16.840.1.113730.3.3.2.48.1	uk	uk-UA
 collation zh "" "" 1 3	2.16.840.1.113730.3.3.2.49.1	zh
 collation zh TW "" 1 3	2.16.840.1.113730.3.3.2.50.1	zh-TW
+collation af "" "" 1 3	2.16.840.1.113730.3.3.2.51.1	af
+collation af NA "" 1 3	2.16.840.1.113730.3.3.2.52.1	af-NA
+collation af ZA "" 1 3	2.16.840.1.113730.3.3.2.53.1	af-ZA
+collation ar AE "" 1 3	2.16.840.1.113730.3.3.2.54.1	ar-AE
+collation ar BH "" 1 3	2.16.840.1.113730.3.3.2.55.1	ar-BH
+collation ar DZ "" 1 3	2.16.840.1.113730.3.3.2.56.1	ar-DZ
+collation ar EG "" 1 3	2.16.840.1.113730.3.3.2.57.1	ar-EG
+collation ar IQ "" 1 3	2.16.840.1.113730.3.3.2.58.1	ar-IQ
+collation ar JO "" 1 3	2.16.840.1.113730.3.3.2.59.1	ar-JO
+collation ar KW "" 1 3	2.16.840.1.113730.3.3.2.60.1	ar-KW
+collation ar LB "" 1 3	2.16.840.1.113730.3.3.2.61.1	ar-LB
+collation ar LY "" 1 3	2.16.840.1.113730.3.3.2.62.1	ar-LY
+collation ar MA "" 1 3	2.16.840.1.113730.3.3.2.63.1	ar-MA
+collation ar OM "" 1 3	2.16.840.1.113730.3.3.2.64.1	ar-OM
+collation ar QA "" 1 3	2.16.840.1.113730.3.3.2.65.1	ar-QA
+collation ar SA "" 1 3	2.16.840.1.113730.3.3.2.66.1	ar-SA
+collation ar SD "" 1 3	2.16.840.1.113730.3.3.2.67.1	ar-SD
+collation ar SY "" 1 3	2.16.840.1.113730.3.3.2.68.1	ar-SY
+collation ar TN "" 1 3	2.16.840.1.113730.3.3.2.69.1	ar-TN
+collation ar YE "" 1 3	2.16.840.1.113730.3.3.2.70.1	ar-YE
+collation as "" "" 1 3	2.16.840.1.113730.3.3.2.71.1	as
+collation as IN "" 1 3	2.16.840.1.113730.3.3.2.72.1	as-IN
+collation az "" "" 1 3	2.16.840.1.113730.3.3.2.73.1	az
+collation az Latn "" 1 3	2.16.840.1.113730.3.3.2.74.1	az-Latn
+collation az Latn_AZ "" 1 3	2.16.840.1.113730.3.3.2.75.1	az-Latn-AZ
+collation bn "" "" 1 3	2.16.840.1.113730.3.3.2.76.1	bn
+collation bn BD "" 1 3	2.16.840.1.113730.3.3.2.77.1	bn	bn-BD
+collation bn IN "" 1 3	2.16.840.1.113730.3.3.2.78.1	bn	bn-IN
+collation bs "" "" 1 3	2.16.840.1.113730.3.3.2.79.1	bs	bs-BA
+collation chr "" "" 1 3	2.16.840.1.113730.3.3.2.80.1	chr
+collation chr US "" 1 3	2.16.840.1.113730.3.3.2.81.1	chr-US
+collation cy "" "" 1 3	2.16.840.1.113730.3.3.2.82.1	cy	cy-GB
+collation de BE "" 1 3	2.16.840.1.113730.3.3.2.83.1	de-BE
+collation de LI "" 1 3	2.16.840.1.113730.3.3.2.84.1	de-LI
+collation de LU "" 1 3	2.16.840.1.113730.3.3.2.85.1	de-LU
+collation el CY "" 1 3	2.16.840.1.113730.3.3.2.86.1	el-CY
+collation el GR "" 1 3	2.16.840.1.113730.3.3.2.87.1	el-GR
+collation en AS "" 1 3	2.16.840.1.113730.3.3.2.88.1	en-AS
+collation en AU "" 1 3	2.16.840.1.113730.3.3.2.89.1	en-AU
+collation en BE "" 1 3	2.16.840.1.113730.3.3.2.90.1	en-BE
+collation en BW "" 1 3	2.16.840.1.113730.3.3.2.91.1	en-BW
+collation en BZ "" 1 3	2.16.840.1.113730.3.3.2.92.1	en-BZ
+collation en GU "" 1 3	2.16.840.1.113730.3.3.2.93.1	en-GU
+collation en HK "" 1 3	2.16.840.1.113730.3.3.2.94.1	en-HK
+collation en HK "" 1 3	2.16.840.1.113730.3.3.2.95.1	en-HK
+collation en IN "" 1 3	2.16.840.1.113730.3.3.2.96.1	en-IN
+collation en JM "" 1 3	2.16.840.1.113730.3.3.2.97.1	en-JM
+collation en MH "" 1 3	2.16.840.1.113730.3.3.2.98.1	en-MH
+collation en MP "" 1 3	2.16.840.1.113730.3.3.2.99.1	en-MP
+collation en MT "" 1 3	2.16.840.1.113730.3.3.2.100.1	en-MT
+collation en MU "" 1 3	2.16.840.1.113730.3.3.2.101.1	en-MU
+collation en NA "" 1 3	2.16.840.1.113730.3.3.2.102.1	en-NA
+collation en NZ "" 1 3	2.16.840.1.113730.3.3.2.103.1	en-NZ
+collation en PH "" 1 3	2.16.840.1.113730.3.3.2.104.1	en-PH
+collation en PK "" 1 3	2.16.840.1.113730.3.3.2.105.1	en-PK
+collation en SG "" 1 3	2.16.840.1.113730.3.3.2.106.1	en-SG
+collation en TT "" 1 3	2.16.840.1.113730.3.3.2.107.1	en-TT
+collation en UM "" 1 3	2.16.840.1.113730.3.3.2.108.1	en-UM
+collation en US "" 1 3	2.16.840.1.113730.3.3.2.109.1	en-US
+collation en US POSIX 1 3	2.16.840.1.113730.3.3.2.110.1	en-US-POSIX
+collation en VI "" 1 3	2.16.840.1.113730.3.3.2.111.1	en-VI
+collation en ZA "" 1 3	2.16.840.1.113730.3.3.2.112.1	en-ZA
+collation en ZW "" 1 3	2.16.840.1.113730.3.3.2.113.1	en-ZW
+collation es AR "" 1 3	2.16.840.1.113730.3.3.2.114.1	es-AR
+collation es BO "" 1 3	2.16.840.1.113730.3.3.2.115.1	es-BO
+collation es CL "" 1 3	2.16.840.1.113730.3.3.2.116.1	es-CL
+collation es CO "" 1 3	2.16.840.1.113730.3.3.2.117.1	es-CO
+collation es CR "" 1 3	2.16.840.1.113730.3.3.2.118.1	es-CR
+collation es DO "" 1 3	2.16.840.1.113730.3.3.2.119.1	es-DO
+collation es EC "" 1 3	2.16.840.1.113730.3.3.2.120.1	es-EC
+collation es ES "" 1 3	2.16.840.1.113730.3.3.2.121.1	es-ES
+collation es GQ "" 1 3	2.16.840.1.113730.3.3.2.122.1	es-GQ
+collation es GT "" 1 3	2.16.840.1.113730.3.3.2.123.1	es-GT
+collation es HN "" 1 3	2.16.840.1.113730.3.3.2.124.1	es-HN
+collation es MX "" 1 3	2.16.840.1.113730.3.3.2.125.1	es-MX
+collation es NI "" 1 3	2.16.840.1.113730.3.3.2.126.1	es-NI
+collation es PA "" 1 3	2.16.840.1.113730.3.3.2.127.1	es-PA
+collation es PE "" 1 3	2.16.840.1.113730.3.3.2.128.1	es-PE
+collation es PR "" 1 3	2.16.840.1.113730.3.3.2.129.1	es-PR
+collation es PY "" 1 3	2.16.840.1.113730.3.3.2.130.1	es-PY
+collation es SV "" 1 3	2.16.840.1.113730.3.3.2.131.1	es-SV
+collation es US "" 1 3	2.16.840.1.113730.3.3.2.132.1	es-US
+collation es UY "" 1 3	2.16.840.1.113730.3.3.2.133.1	es-UY
+collation es VE "" 1 3	2.16.840.1.113730.3.3.2.134.1	es-VE
+collation fa "" "" 1 3	2.16.840.1.113730.3.3.2.135.1	fa	fa-IR
+collation fil "" "" 1 3	2.16.840.1.113730.3.3.2.136.1	fil	fil-PH
+collation fo "" "" 1 3	2.16.840.1.113730.3.3.2.137.1	fo	fo-FO
+collation fr BF "" 1 3	2.16.840.1.113730.3.3.2.138.1	fr	fr-BF
+collation fr BI "" 1 3	2.16.840.1.113730.3.3.2.139.1	fr	fr-BI
+collation fr BJ "" 1 3	2.16.840.1.113730.3.3.2.140.1	fr	fr-BJ
+collation fr BL "" 1 3	2.16.840.1.113730.3.3.2.141.1	fr	fr-BL
+collation fr CD "" 1 3	2.16.840.1.113730.3.3.2.142.1	fr	fr-CD
+collation fr CF "" 1 3	2.16.840.1.113730.3.3.2.143.1	fr	fr-CF
+collation fr CG "" 1 3	2.16.840.1.113730.3.3.2.144.1	fr	fr-CG
+collation fr CI "" 1 3	2.16.840.1.113730.3.3.2.145.1	fr	fr-CI
+collation fr CM "" 1 3	2.16.840.1.113730.3.3.2.146.1	fr	fr-CM
+collation fr DJ "" 1 3	2.16.840.1.113730.3.3.2.147.1	fr	fr-DJ
+collation fr GA "" 1 3	2.16.840.1.113730.3.3.2.148.1	fr	fr-GA
+collation fr GN "" 1 3	2.16.840.1.113730.3.3.2.149.1	fr	fr-GN
+collation fr GP "" 1 3	2.16.840.1.113730.3.3.2.150.1	fr	fr-GP
+collation fr GQ "" 1 3	2.16.840.1.113730.3.3.2.151.1	fr	fr-GQ
+collation fr KM "" 1 3	2.16.840.1.113730.3.3.2.152.1	fr	fr-KM
+collation fr LU "" 1 3	2.16.840.1.113730.3.3.2.153.1	fr	fr-LU
+collation fr MC "" 1 3	2.16.840.1.113730.3.3.2.154.1	fr	fr-MC
+collation fr MF "" 1 3	2.16.840.1.113730.3.3.2.155.1	fr	fr-MF
+collation fr MG "" 1 3	2.16.840.1.113730.3.3.2.156.1	fr	fr-MG
+collation fr ML "" 1 3	2.16.840.1.113730.3.3.2.157.1	fr	fr-ML
+collation fr MQ "" 1 3	2.16.840.1.113730.3.3.2.158.1	fr	fr-MQ
+collation fr NE "" 1 3	2.16.840.1.113730.3.3.2.159.1	fr	fr-NE
+collation fr RE "" 1 3	2.16.840.1.113730.3.3.2.160.1	fr	fr-RE
+collation fr RW "" 1 3	2.16.840.1.113730.3.3.2.161.1	fr	fr-RW
+collation fr SN "" 1 3	2.16.840.1.113730.3.3.2.162.1	fr	fr-SN
+collation fr TD "" 1 3	2.16.840.1.113730.3.3.2.163.1	fr	fr-TD
+collation fr TG "" 1 3	2.16.840.1.113730.3.3.2.164.1	fr	fr-TG
+collation ga "" "" 1 3	2.16.840.1.113730.3.3.2.165.1	ga
+collation ga IE "" 1 3	2.16.840.1.113730.3.3.2.166.1	ga-IE
+collation ga IN "" 1 3	2.16.840.1.113730.3.3.2.167.1	ga-IN
+collation ha Latn "" 1 3	2.16.840.1.113730.3.3.2.168.1	ha-Latn
+collation ha Latn GH 1 3	2.16.840.1.113730.3.3.2.169.1	ha-Latn-GH
+collation ha Latn NE 1 3	2.16.840.1.113730.3.3.2.170.1	ha-Latn-NE
+collation ha Latn NG 1 3	2.16.840.1.113730.3.3.2.171.1	ha-Latn-NG
+collation he "" "" 1 3	2.16.840.1.113730.3.3.2.172.1	he	he-IL
+collation hi "" "" 1 3	2.16.840.1.113730.3.3.2.173.1	hi	hi-IN
+collation hy "" "" 1 3	2.16.840.1.113730.3.3.2.174.1	hy	hy-AM
+collation id "" "" 1 3	2.16.840.1.113730.3.3.2.175.1	id
+collation id ID "" 1 3	2.16.840.1.113730.3.3.2.176.1	id-ID
+collation ig "" "" 1 3	2.16.840.1.113730.3.3.2.177.1	ig	ig-NG
+collation it IT "" 1 3	2.16.840.1.113730.3.3.2.178.1	it-IT
+collation ka "" "" 1 3	2.16.840.1.113730.3.3.2.179.1	ka
+collation ka GE "" 1 3	2.16.840.1.113730.3.3.2.180.1	ka-GE
+collation kk "" "" 1 3	2.16.840.1.113730.3.3.2.181.1	kk	kk-KZ
+collation kl "" "" 1 3	2.16.840.1.113730.3.3.2.182.1	kl	kl-GL
+collation kn "" "" 1 3	2.16.840.1.113730.3.3.2.183.1	kn	kn-IN
+collation kok "" "" 1 3	2.16.840.1.113730.3.3.2.184.1	kok	kok-IN
+collation ml "" "" 1 3	2.16.840.1.113730.3.3.2.185.1	ml	ml-IN
+collation ms "" "" 1 3	2.16.840.1.113730.3.3.2.186.1	ms
+collation ms BN "" 1 3	2.16.840.1.113730.3.3.2.187.1	ms-BN
+collation ms MY "" 1 3	2.16.840.1.113730.3.3.2.188.1	ms-MY
+collation mt "" "" 1 3	2.16.840.1.113730.3.3.2.189.1	mt	mt-MT
+collation nl NL "" 1 3	2.16.840.1.113730.3.3.2.190.1	nl-NL
+collation nn "" "" 1 3	2.16.840.1.113730.3.3.2.191.1	nn	nn-NO
+collation om "" "" 1 3	2.16.840.1.113730.3.3.2.192.1	om
+collation om ET "" 1 3	2.16.840.1.113730.3.3.2.193.1	om-ET
+collation om KE "" 1 3	2.16.840.1.113730.3.3.2.194.1	om-KE
+collation or "" "" 1 3	2.16.840.1.113730.3.3.2.195.1	or	or-IN
+collation pa "" "" 1 3	2.16.840.1.113730.3.3.2.196.1	pa
+collation pa Arab "" 1 3	2.16.840.1.113730.3.3.2.197.1	pa-Arab
+collation pa Arab PK 1 3	2.16.840.1.113730.3.3.2.198.1	pa-Arab-PK
+collation pa Guru "" 1 3	2.16.840.1.113730.3.3.2.199.1	pa-Guru
+collation pa Guru IN 1 3	2.16.840.1.113730.3.3.2.200.1	pa-Guru-IN
+collation ps "" "" 1 3	2.16.840.1.113730.3.3.2.201.1	ps	ps-AF
+collation pt "" "" 1 3	2.16.840.1.113730.3.3.2.202.1	pt
+collation pt BR "" 1 3	2.16.840.1.113730.3.3.2.203.1	pt-BR
+collation pt PT "" 1 3	2.16.840.1.113730.3.3.2.204.1	pt-PT
+collation ro MD "" 1 3	2.16.840.1.113730.3.3.2.205.1	ro-MD
+collation ro RO "" 1 3	2.16.840.1.113730.3.3.2.206.1	ro-RO
+collation ru MD "" 1 3	2.16.840.1.113730.3.3.2.207.1	ru-MD
+collation ru RU "" 1 3	2.16.840.1.113730.3.3.2.208.1	ru-RU
+collation ru UA "" 1 3	2.16.840.1.113730.3.3.2.209.1	ru-UA
+collation si "" "" 1 3	2.16.840.1.113730.3.3.2.210.1	si	si-LK
+collation sk "" "" 1 3	2.16.840.1.113730.3.3.2.211.1	sk	sk-SK
+collation sl "" "" 1 3	2.16.840.1.113730.3.3.2.212.1	sl	sl-SI
+collation sq "" "" 1 3	2.16.840.1.113730.3.3.2.213.1	sq	sq-AL
+collation sr Cyrl "" 1 3	2.16.840.1.113730.3.3.2.214.1	sr-Cyrl
+collation sr Cyrl BA 1 3	2.16.840.1.113730.3.3.2.215.1	sr-Cyrl-BA
+collation sr Cyrl ME 1 3	2.16.840.1.113730.3.3.2.216.1	sr-Cyrl-ME
+collation sr Cyrl RS 1 3	2.16.840.1.113730.3.3.2.217.1	sr-Cyrl-RS
+collation sr Latn "" 1 3	2.16.840.1.113730.3.3.2.218.1	sr-Latn
+collation sr Latn BA 1 3	2.16.840.1.113730.3.3.2.219.1	sr-Latn-BA
+collation sr Latn ME 1 3	2.16.840.1.113730.3.3.2.220.1	sr-Latn-ME
+collation sr Latn RS 1 3	2.16.840.1.113730.3.3.2.221.1	sr-Latn-RS
+collation sv FI "" 1 3	2.16.840.1.113730.3.3.2.222.1	sv-FI
+collation sv SE "" 1 3	2.16.840.1.113730.3.3.2.223.1	sv-SE
+collation sw "" "" 1 3	2.16.840.1.113730.3.3.2.224.1	sw
+collation sw KE "" 1 3	2.16.840.1.113730.3.3.2.225.1	sw-KE
+collation sw TZ "" 1 3	2.16.840.1.113730.3.3.2.226.1	sw-TZ
+collation ta "" "" 1 3	2.16.840.1.113730.3.3.2.227.1	ta
+collation ta IN "" 1 3	2.16.840.1.113730.3.3.2.228.1	ta-IN
+collation ta LK "" 1 3	2.16.840.1.113730.3.3.2.229.1	ta-LK
+collation te "" "" 1 3	2.16.840.1.113730.3.3.2.230.1	te	te-IN
+collation th "" "" 1 3	2.16.840.1.113730.3.3.2.231.1	th	th-TH
+collation ur "" "" 1 3	2.16.840.1.113730.3.3.2.232.1	ur
+collation ur IN "" 1 3	2.16.840.1.113730.3.3.2.233.1	ur-IN
+collation ur PK "" 1 3	2.16.840.1.113730.3.3.2.234.1	ur-PK
+collation vi "" "" 1 3	2.16.840.1.113730.3.3.2.235.1	vi	vi-VN
+collation yo "" "" 1 3	2.16.840.1.113730.3.3.2.236.1	yo	yo-NG
+collation zh Hans "" 1 3	2.16.840.1.113730.3.3.2.237.1	zh-Hans
+collation zh Hans CN 1 3	2.16.840.1.113730.3.3.2.238.1	zh-Hans-CN
+collation zh Hans SG 1 3	2.16.840.1.113730.3.3.2.239.1	zh-Hans-SG
+collation zh Hant HK 1 3	2.16.840.1.113730.3.3.2.240.1	zh-Hant-HK
+collation zh Hant MO 1 3	2.16.840.1.113730.3.3.2.241.1	zh-Hant-MO
+collation zh Hant TW 1 3	2.16.840.1.113730.3.3.2.242.1	zh-Hant-TW
+collation zu "" "" 1 3	2.16.840.1.113730.3.3.2.243.1	zu
+collation zu ZA "" 1 3	2.16.840.1.113730.3.3.2.244.1	zu-ZA
 
 collation "" "" "" 3 3	2.16.840.1.113730.3.3.2.0.3
 collation en "" "" 3 3	2.16.840.1.113730.3.3.2.11.3
diff --git a/missing b/missing
index cdea514..9a55648 100755
--- a/missing
+++ b/missing
@@ -1,10 +1,10 @@
 #! /bin/sh
-# Common wrapper for a few potentially missing GNU programs.
+# Common stub for a few missing GNU programs while installing.
 
-scriptversion=2012-06-26.16; # UTC
+scriptversion=2012-01-06.18; # UTC
 
-# Copyright (C) 1996-2013 Free Software Foundation, Inc.
-# Originally written by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
+# Copyright (C) 1996-2012 Free Software Foundation, Inc.
+# Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,33 +29,61 @@ if test $# -eq 0; then
   exit 1
 fi
 
-case $1 in
+run=:
+sed_output='s/.* --output[ =]\([^ ]*\).*/\1/p'
+sed_minuso='s/.* -o \([^ ]*\).*/\1/p'
 
-  --is-lightweight)
-    # Used by our autoconf macros to check whether the available missing
-    # script is modern enough.
-    exit 0
-    ;;
+# In the cases where this matters, 'missing' is being run in the
+# srcdir already.
+if test -f configure.ac; then
+  configure_ac=configure.ac
+else
+  configure_ac=configure.in
+fi
 
-  --run)
-    # Back-compat with the calling convention used by older automake.
-    shift
-    ;;
+msg="missing on your system"
+
+case $1 in
+--run)
+  # Try to run requested program, and just exit if it succeeds.
+  run=
+  shift
+  "$@" && exit 0
+  # Exit code 63 means version mismatch.  This often happens
+  # when the user try to use an ancient version of a tool on
+  # a file that requires a minimum version.  In this case we
+  # we should proceed has if the program had been absent, or
+  # if --run hadn't been passed.
+  if test $? = 63; then
+    run=:
+    msg="probably too old"
+  fi
+  ;;
 
   -h|--h|--he|--hel|--help)
     echo "\
 $0 [OPTION]... PROGRAM [ARGUMENT]...
 
-Run 'PROGRAM [ARGUMENT]...', returning a proper advice when this fails due
-to PROGRAM being missing or too old.
+Handle 'PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
+error status if there is no known handling for PROGRAM.
 
 Options:
   -h, --help      display this help and exit
   -v, --version   output version information and exit
+  --run           try to run the given command, and emulate it if it fails
 
 Supported PROGRAM values:
-  aclocal   autoconf  autoheader   autom4te  automake  makeinfo
-  bison     yacc      flex         lex       help2man
+  aclocal      touch file 'aclocal.m4'
+  autoconf     touch file 'configure'
+  autoheader   touch file 'config.h.in'
+  autom4te     touch the output file, or create a stub one
+  automake     touch all 'Makefile.in' files
+  bison        create 'y.tab.[ch]', if possible, from existing .[ch]
+  flex         create 'lex.yy.c', if possible, from existing .c
+  help2man     touch the output file
+  lex          create 'lex.yy.c', if possible, from existing .c
+  makeinfo     touch the output file
+  yacc         create 'y.tab.[ch]', if possible, from existing .[ch]
 
 Version suffixes to PROGRAM as well as the prefixes 'gnu-', 'gnu', and
 'g' are ignored when checking the name.
@@ -70,141 +98,228 @@ Send bug reports to <bug-automake@gnu.org>."
     ;;
 
   -*)
-    echo 1>&2 "$0: unknown '$1' option"
+    echo 1>&2 "$0: Unknown '$1' option"
     echo 1>&2 "Try '$0 --help' for more information"
     exit 1
     ;;
 
 esac
 
-# Run the given program, remember its exit status.
-"$@"; st=$?
-
-# If it succeeded, we are done.
-test $st -eq 0 && exit 0
-
-# Also exit now if we it failed (or wasn't found), and '--version' was
-# passed; such an option is passed most likely to detect whether the
-# program is present and works.
-case $2 in --version|--help) exit $st;; esac
-
-# Exit code 63 means version mismatch.  This often happens when the user
-# tries to use an ancient version of a tool on a file that requires a
-# minimum version.
-if test $st -eq 63; then
-  msg="probably too old"
-elif test $st -eq 127; then
-  # Program was missing.
-  msg="missing on your system"
-else
-  # Program was found and executed, but failed.  Give up.
-  exit $st
-fi
+# normalize program name to check for.
+program=`echo "$1" | sed '
+  s/^gnu-//; t
+  s/^gnu//; t
+  s/^g//; t'`
+
+# Now exit if we have it, but it failed.  Also exit now if we
+# don't have it and --version was passed (most likely to detect
+# the program).  This is about non-GNU programs, so use $1 not
+# $program.
+case $1 in
+  lex*|yacc*)
+    # Not GNU programs, they don't have --version.
+    ;;
+
+  *)
+    if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+       # We have it, but it failed.
+       exit 1
+    elif test "x$2" = "x--version" || test "x$2" = "x--help"; then
+       # Could not run --version or --help.  This is probably someone
+       # running '$TOOL --version' or '$TOOL --help' to check whether
+       # $TOOL exists and not knowing $TOOL uses missing.
+       exit 1
+    fi
+    ;;
+esac
+
+# If it does not exist, or fails to run (possibly an outdated version),
+# try to emulate it.
+case $program in
+  aclocal*)
+    echo 1>&2 "\
+WARNING: '$1' is $msg.  You should only need it if
+         you modified 'acinclude.m4' or '${configure_ac}'.  You might want
+         to install the Automake and Perl packages.  Grab them from
+         any GNU archive site."
+    touch aclocal.m4
+    ;;
+
+  autoconf*)
+    echo 1>&2 "\
+WARNING: '$1' is $msg.  You should only need it if
+         you modified '${configure_ac}'.  You might want to install the
+         Autoconf and GNU m4 packages.  Grab them from any GNU
+         archive site."
+    touch configure
+    ;;
 
-perl_URL=http://www.perl.org/
-flex_URL=http://flex.sourceforge.net/
-gnu_software_URL=http://www.gnu.org/software
-
-program_details ()
-{
-  case $1 in
-    aclocal|automake)
-      echo "The '$1' program is part of the GNU Automake package:"
-      echo "<$gnu_software_URL/automake>"
-      echo "It also requires GNU Autoconf, GNU m4 and Perl in order to run:"
-      echo "<$gnu_software_URL/autoconf>"
-      echo "<$gnu_software_URL/m4/>"
-      echo "<$perl_URL>"
-      ;;
-    autoconf|autom4te|autoheader)
-      echo "The '$1' program is part of the GNU Autoconf package:"
-      echo "<$gnu_software_URL/autoconf/>"
-      echo "It also requires GNU m4 and Perl in order to run:"
-      echo "<$gnu_software_URL/m4/>"
-      echo "<$perl_URL>"
-      ;;
-  esac
-}
-
-give_advice ()
-{
-  # Normalize program name to check for.
-  normalized_program=`echo "$1" | sed '
-    s/^gnu-//; t
-    s/^gnu//; t
-    s/^g//; t'`
-
-  printf '%s\n' "'$1' is $msg."
-
-  configure_deps="'configure.ac' or m4 files included by 'configure.ac'"
-  case $normalized_program in
-    autoconf*)
-      echo "You should only need it if you modified 'configure.ac',"
-      echo "or m4 files included by it."
-      program_details 'autoconf'
-      ;;
-    autoheader*)
-      echo "You should only need it if you modified 'acconfig.h' or"
-      echo "$configure_deps."
-      program_details 'autoheader'
-      ;;
-    automake*)
-      echo "You should only need it if you modified 'Makefile.am' or"
-      echo "$configure_deps."
-      program_details 'automake'
-      ;;
-    aclocal*)
-      echo "You should only need it if you modified 'acinclude.m4' or"
-      echo "$configure_deps."
-      program_details 'aclocal'
-      ;;
-   autom4te*)
-      echo "You might have modified some maintainer files that require"
-      echo "the 'automa4te' program to be rebuilt."
-      program_details 'autom4te'
-      ;;
-    bison*|yacc*)
-      echo "You should only need it if you modified a '.y' file."
-      echo "You may want to install the GNU Bison package:"
-      echo "<$gnu_software_URL/bison/>"
-      ;;
-    lex*|flex*)
-      echo "You should only need it if you modified a '.l' file."
-      echo "You may want to install the Fast Lexical Analyzer package:"
-      echo "<$flex_URL>"
-      ;;
-    help2man*)
-      echo "You should only need it if you modified a dependency" \
-           "of a man page."
-      echo "You may want to install the GNU Help2man package:"
-      echo "<$gnu_software_URL/help2man/>"
+  autoheader*)
+    echo 1>&2 "\
+WARNING: '$1' is $msg.  You should only need it if
+         you modified 'acconfig.h' or '${configure_ac}'.  You might want
+         to install the Autoconf and GNU m4 packages.  Grab them
+         from any GNU archive site."
+    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
+    test -z "$files" && files="config.h"
+    touch_files=
+    for f in $files; do
+      case $f in
+      *:*) touch_files="$touch_files "`echo "$f" |
+				       sed -e 's/^[^:]*://' -e 's/:.*//'`;;
+      *) touch_files="$touch_files $f.in";;
+      esac
+    done
+    touch $touch_files
     ;;
-    makeinfo*)
-      echo "You should only need it if you modified a '.texi' file, or"
-      echo "any other file indirectly affecting the aspect of the manual."
-      echo "You might want to install the Texinfo package:"
-      echo "<$gnu_software_URL/texinfo/>"
-      echo "The spurious makeinfo call might also be the consequence of"
-      echo "using a buggy 'make' (AIX, DU, IRIX), in which case you might"
-      echo "want to install GNU make:"
-      echo "<$gnu_software_URL/make/>"
-      ;;
-    *)
-      echo "You might have modified some files without having the proper"
-      echo "tools for further handling them.  Check the 'README' file, it"
-      echo "often tells you about the needed prerequisites for installing"
-      echo "this package.  You may also peek at any GNU archive site, in"
-      echo "case some other package contains this missing '$1' program."
-      ;;
-  esac
-}
-
-give_advice "$1" | sed -e '1s/^/WARNING: /' \
-                       -e '2,$s/^/         /' >&2
-
-# Propagate the correct exit status (expected to be 127 for a program
-# not found, 63 for a program that failed due to version mismatch).
-exit $st
+
+  automake*)
+    echo 1>&2 "\
+WARNING: '$1' is $msg.  You should only need it if
+         you modified 'Makefile.am', 'acinclude.m4' or '${configure_ac}'.
+         You might want to install the Automake and Perl packages.
+         Grab them from any GNU archive site."
+    find . -type f -name Makefile.am -print |
+	   sed 's/\.am$/.in/' |
+	   while read f; do touch "$f"; done
+    ;;
+
+  autom4te*)
+    echo 1>&2 "\
+WARNING: '$1' is needed, but is $msg.
+         You might have modified some files without having the
+         proper tools for further handling them.
+         You can get '$1' as part of Autoconf from any GNU
+         archive site."
+
+    file=`echo "$*" | sed -n "$sed_output"`
+    test -z "$file" && file=`echo "$*" | sed -n "$sed_minuso"`
+    if test -f "$file"; then
+	touch $file
+    else
+	test -z "$file" || exec >$file
+	echo "#! /bin/sh"
+	echo "# Created by GNU Automake missing as a replacement of"
+	echo "#  $ $@"
+	echo "exit 0"
+	chmod +x $file
+	exit 1
+    fi
+    ;;
+
+  bison*|yacc*)
+    echo 1>&2 "\
+WARNING: '$1' $msg.  You should only need it if
+         you modified a '.y' file.  You may need the Bison package
+         in order for those modifications to take effect.  You can get
+         Bison from any GNU archive site."
+    rm -f y.tab.c y.tab.h
+    if test $# -ne 1; then
+        eval LASTARG=\${$#}
+	case $LASTARG in
+	*.y)
+	    SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'`
+	    if test -f "$SRCFILE"; then
+	         cp "$SRCFILE" y.tab.c
+	    fi
+	    SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'`
+	    if test -f "$SRCFILE"; then
+	         cp "$SRCFILE" y.tab.h
+	    fi
+	  ;;
+	esac
+    fi
+    if test ! -f y.tab.h; then
+	echo >y.tab.h
+    fi
+    if test ! -f y.tab.c; then
+	echo 'main() { return 0; }' >y.tab.c
+    fi
+    ;;
+
+  lex*|flex*)
+    echo 1>&2 "\
+WARNING: '$1' is $msg.  You should only need it if
+         you modified a '.l' file.  You may need the Flex package
+         in order for those modifications to take effect.  You can get
+         Flex from any GNU archive site."
+    rm -f lex.yy.c
+    if test $# -ne 1; then
+        eval LASTARG=\${$#}
+	case $LASTARG in
+	*.l)
+	    SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'`
+	    if test -f "$SRCFILE"; then
+	         cp "$SRCFILE" lex.yy.c
+	    fi
+	  ;;
+	esac
+    fi
+    if test ! -f lex.yy.c; then
+	echo 'main() { return 0; }' >lex.yy.c
+    fi
+    ;;
+
+  help2man*)
+    echo 1>&2 "\
+WARNING: '$1' is $msg.  You should only need it if
+	 you modified a dependency of a manual page.  You may need the
+	 Help2man package in order for those modifications to take
+	 effect.  You can get Help2man from any GNU archive site."
+
+    file=`echo "$*" | sed -n "$sed_output"`
+    test -z "$file" && file=`echo "$*" | sed -n "$sed_minuso"`
+    if test -f "$file"; then
+	touch $file
+    else
+	test -z "$file" || exec >$file
+	echo ".ab help2man is required to generate this page"
+	exit $?
+    fi
+    ;;
+
+  makeinfo*)
+    echo 1>&2 "\
+WARNING: '$1' is $msg.  You should only need it if
+         you modified a '.texi' or '.texinfo' file, or any other file
+         indirectly affecting the aspect of the manual.  The spurious
+         call might also be the consequence of using a buggy 'make' (AIX,
+         DU, IRIX).  You might want to install the Texinfo package or
+         the GNU make package.  Grab either from any GNU archive site."
+    # The file to touch is that specified with -o ...
+    file=`echo "$*" | sed -n "$sed_output"`
+    test -z "$file" && file=`echo "$*" | sed -n "$sed_minuso"`
+    if test -z "$file"; then
+      # ... or it is the one specified with @setfilename ...
+      infile=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'`
+      file=`sed -n '
+	/^@setfilename/{
+	  s/.* \([^ ]*\) *$/\1/
+	  p
+	  q
+	}' $infile`
+      # ... or it is derived from the source name (dir/f.texi becomes f.info)
+      test -z "$file" && file=`echo "$infile" | sed 's,.*/,,;s,.[^.]*$,,'`.info
+    fi
+    # If the file does not exist, the user really needs makeinfo;
+    # let's fail without touching anything.
+    test -f $file || exit 1
+    touch $file
+    ;;
+
+  *)
+    echo 1>&2 "\
+WARNING: '$1' is needed, and is $msg.
+         You might have modified some files without having the
+         proper tools for further handling them.  Check the 'README' file,
+         it often tells you about the needed prerequisites for installing
+         this package.  You may also peek at any GNU archive site, in case
+         some other package would contain this missing '$1' program."
+    exit 1
+    ;;
+esac
+
+exit 0
 
 # Local variables:
 # eval: (add-hook 'write-file-hooks 'time-stamp)
-- 
1.8.1.4

